[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TOwnerStream.Source

Reference to the source stream.

## Declaration

Source position: classesh.inc line 1000

`public property TOwnerStream.Source : TStream read FSource;`

## Description

Source is the source stream. It should be used by descendant streams to access the source stream to read from or write to.

Do not free the Source reference directly if SourceOwner is True. In that case the owner stream instance will free the source stream itself.

## See also

TOwnerStream.Create |  | Create a new instance of TOwnerStream.